import '../bootstrap';
import 'bootstrap';
import 'admin-lte';
import toastr from 'toastr';

toastr.options.closeButton = true;
toastr.options.timeOut = 0;
toastr.options.extendedTimeOut = 30;

function displayToast(messageType: string, message: string) : void {
    (toastr as any)[messageType](message);
}

(window as any).displayToast = displayToast;

$(function() {
    const flashMessagesRaw = document.querySelector('body')?.dataset.flashMessages;
    if (flashMessagesRaw == null) {
        console.error("Could not find flash messages");
        return;
    }
    const flashMessages = JSON.parse(flashMessagesRaw);
    const possibleMessageTypes = Object.keys(flashMessages);
    possibleMessageTypes.forEach((messageType: string) => {
        const messages = flashMessages[messageType];
        messages.forEach((message: string) => {
            displayToast(messageType, message);
        });
    });
});
